
-- This package is a static genericity package. See ASIS_Vendors.Typical
-- for the reference specification and more comments.

with Asis;

package ASIS_Vendors.GNAT is

   procedure Begin_With_Context
     (Context : out Asis.Context; Name : Wide_String);

   procedure End_With_Context
     (Context : in out Asis.Context);

   function Unit_Name_From_File_Name
     (Context   : in Asis.Context;
      File_Name : in Wide_String)
     return Wide_String;
   --|Requires: File_Name'Length /= 0
   -- Returns Not_A_Unit_Name is not found.

end ASIS_Vendors.GNAT;
